﻿@model Instantly.Models.User
@*
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link" href="/Account/Profile/Orders">Замовлення</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/Account/Profile/Reviews">Відгуки</a>
        </li>
        <li class="nav-item">
            <a class="nav-link active" href="/Account/Profile/Settings">Налаштування</a>
            <!--<a class="nav-link active" asp-action="Profile" asp-route-id="Settings">Налаштування</a>-->
        </li>
    </ul>
*@


<ul class="nav nav-tabs">
    <li class="nav-item">
        <a class="nav-link" asp-controller="Account" asp-action="Profile" asp-route-page="Orders">Замовлення</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" asp-controller="Account" asp-action="Profile" asp-route-page="Reviews">Відгуки</a>
    </li>
    @if (Model.Email == User.Identity.Name)
    {
        <li class="nav-item">
            <a class="nav-link active" asp-controller="Account" asp-action="Profile" asp-route-page="Settings">Налаштування</a>
        </li>
    }
</ul>

<br />
<div class="container">
    <form method="get">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <input type="hidden" asp-for="UserId" />

        <div class="form-group row">
            <!--<label asp-for="Email" class="control-label">E-mail</label>-->
            <label asp-for="Email" class="col-sm-4 col-form-label">E-mail</label>
            <div class="col-sm-8">
                <input asp-for="Email" readonly class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>
        </div>
        <!--
        <div class="form-group">
            <label asp-for="Password" class="control-label"></label>
            <input asp-for="Password" class="form-control" />
            <span asp-validation-for="Password" class="text-danger"></span>
        </div>
        -->
        <div class="form-group row">
            <label asp-for="Password" class="col-sm-4 col-form-label">Пароль</label>
            <div class="col-sm-8">
                <input asp-for="Password" class="form-control" />
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group row">
            <label asp-for="FIO" class="col-sm-4 col-form-label">Повне ім'я</label>
            <div class="col-sm-8">
                <input asp-for="FIO" class="form-control" />
                <span asp-validation-for="FIO" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group row">
            <label asp-for="Birthdate" class="col-sm-4 col-form-label">Дата народження</label>
            <div class="col-sm-8">
                <input asp-for="Birthdate" value="@Model.Birthdate.ToString("yyyy-MM-dd")" class="form-control" />
                <span asp-validation-for="Birthdate" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group row">
            <label asp-for="City" class="col-sm-4 col-form-label">Місто</label>
            <div class="col-sm-8">
                <input asp-for="City" class="form-control" />
                <span asp-validation-for="City" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <input type="submit" value="Зберегти" class="btn btn-primary" />
        </div>
    </form>

    @section Scripts {
        @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    }
</div>